package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class StudentPaymentOrderSumExportDto {

    @ApiModelProperty(value = "分部",required = true)
    private String organName;

    @ApiModelProperty(value = "vip新增金额",required = true)
    private BigDecimal newVipAmount;

    @ApiModelProperty(value = "vip续费金额",required = true)
    private BigDecimal renewVipAmount;

    @ApiModelProperty(value = "乐团新开",required = true)
    private BigDecimal newMusicAmount;

    @ApiModelProperty(value = "乐团扩招",required = true)
    private BigDecimal addMusicAmount;

    @ApiModelProperty(value = "乐团续费",required = true)
    private BigDecimal renewMusicAmount;

    @ApiModelProperty(value = "乐团转化",required = true)
    private BigDecimal musicConvertAmount;

    @ApiModelProperty(value = "网管课新增",required = true)
    private BigDecimal newPracticeAmount;

    @ApiModelProperty(value = "网管课续费",required = true)
    private BigDecimal renewPracticeAmount;

    @ApiModelProperty(value = "考级费用",required = true)
    private BigDecimal degreeRegistrationAmount;

    @ApiModelProperty(value = "乐器维修",required = true)
    private BigDecimal repairAmount;

    @ApiModelProperty(value = "零售乐器/辅件/乐保",required = true)
    private BigDecimal retailGoodsAmount;

    @ApiModelProperty(value = "大件乐器",required = true)
    private BigDecimal largeMusialAmount;

    @ApiModelProperty(value = "课程家长采买金额",required = true)
    private BigDecimal courseStudentBuyAmount;

    @ApiModelProperty(value = "课程学校采买金额",required = true)
    private BigDecimal courseSchoolBuyAmount;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getNewVipAmount() {
        return newVipAmount;
    }

    public void setNewVipAmount(BigDecimal newVipAmount) {
        this.newVipAmount = newVipAmount;
    }

    public BigDecimal getRenewVipAmount() {
        return renewVipAmount;
    }

    public void setRenewVipAmount(BigDecimal renewVipAmount) {
        this.renewVipAmount = renewVipAmount;
    }

    public BigDecimal getNewMusicAmount() {
        return newMusicAmount;
    }

    public void setNewMusicAmount(BigDecimal newMusicAmount) {
        this.newMusicAmount = newMusicAmount;
    }

    public BigDecimal getAddMusicAmount() {
        return addMusicAmount;
    }

    public void setAddMusicAmount(BigDecimal addMusicAmount) {
        this.addMusicAmount = addMusicAmount;
    }

    public BigDecimal getRenewMusicAmount() {
        return renewMusicAmount;
    }

    public void setRenewMusicAmount(BigDecimal renewMusicAmount) {
        this.renewMusicAmount = renewMusicAmount;
    }

    public BigDecimal getMusicConvertAmount() {
        return musicConvertAmount;
    }

    public void setMusicConvertAmount(BigDecimal musicConvertAmount) {
        this.musicConvertAmount = musicConvertAmount;
    }

    public BigDecimal getNewPracticeAmount() {
        return newPracticeAmount;
    }

    public void setNewPracticeAmount(BigDecimal newPracticeAmount) {
        this.newPracticeAmount = newPracticeAmount;
    }

    public BigDecimal getRenewPracticeAmount() {
        return renewPracticeAmount;
    }

    public void setRenewPracticeAmount(BigDecimal renewPracticeAmount) {
        this.renewPracticeAmount = renewPracticeAmount;
    }

    public BigDecimal getDegreeRegistrationAmount() {
        return degreeRegistrationAmount;
    }

    public void setDegreeRegistrationAmount(BigDecimal degreeRegistrationAmount) {
        this.degreeRegistrationAmount = degreeRegistrationAmount;
    }

    public BigDecimal getRepairAmount() {
        return repairAmount;
    }

    public void setRepairAmount(BigDecimal repairAmount) {
        this.repairAmount = repairAmount;
    }

    public BigDecimal getRetailGoodsAmount() {
        return retailGoodsAmount;
    }

    public void setRetailGoodsAmount(BigDecimal retailGoodsAmount) {
        this.retailGoodsAmount = retailGoodsAmount;
    }

    public BigDecimal getLargeMusialAmount() {
        return largeMusialAmount;
    }

    public void setLargeMusialAmount(BigDecimal largeMusialAmount) {
        this.largeMusialAmount = largeMusialAmount;
    }

    public BigDecimal getCourseStudentBuyAmount() {
        return courseStudentBuyAmount;
    }

    public void setCourseStudentBuyAmount(BigDecimal courseStudentBuyAmount) {
        this.courseStudentBuyAmount = courseStudentBuyAmount;
    }

    public BigDecimal getCourseSchoolBuyAmount() {
        return courseSchoolBuyAmount;
    }

    public void setCourseSchoolBuyAmount(BigDecimal courseSchoolBuyAmount) {
        this.courseSchoolBuyAmount = courseSchoolBuyAmount;
    }
}
